
Redmine - Defect #12681

Treat group assignments as assigned to me

2012-12-27 16:59 - Daniel Felix

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 2.4.0   

Resolution: Fixed Affected version: 2.1.4

Description

Hi there,

I just tried to define some CSS-Style which highlights tickets, which are assigned to me.

For this case, I tried to add a rule for tr.assigned-to-me, but this doesn't seem to be consistent.

The filtermenu treats tickets, which are indirectly assigned to me via group definition as tickets, which are assigned to me. But the

css classes, doesn't seem to notice this indirect assignment. The class "assigned-to-me" is just added to tickets, which are directly

added to me.

I don't know if this is more a bug or a feature request.

Best regards,

Daniel

Related issues:

Related to Redmine - Defect #16038: Issue#css_classes corrupts user.groups as... Closed

Associated revisions

Revision 12006 - 2013-07-11 21:35 - Jean-Philippe Lang

Adds 'assigned-to-my-group' css class to issues that are assigned to a user's group (#12681).

History

#1 - 2013-03-18 11:00 - Daniel Felix

- Target version set to 2.4.0

This is just a smaller improvement. We just need to determine if the user is implicit assigned to this issue.

Maybe with another CSS class.

.assigned-to-me = directly assigned

.assigned-to-group = assigned to any group

.assigned-to-my-group = indirectly assigned to a group, where I'm member off

This would give some good style ability of those assigned colums.

The both group classes can coexist together in one row.

Maybe I could try to provide a patch for this when I leave the hospital.

Best regards,

Daniel

#2 - 2013-07-11 21:38 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

assigned-to-my-group css class added in r12006. On the other side, assigned-to-group is not part of this defect and would add some overhead (the

need to load assignee for each issue link that is displayed), it's not added for now.
https://www.redmine.org/projects/redmine/repository/svn/revisions/12006


#3 - 2014-02-06 13:10 - Toshi MARUYAMA

- Related to Defect #16038: Issue#css_classes corrupts user.groups association cache added

Powered by TCPDF (www.tcpdf.org)

2025-07-03 2/2

http://www.tcpdf.org

